Page MenuHomePhabricator

Allow a page's language links to be manipulated in a consistent way
Open, LowPublic

Description

A wrapper class (or function) should be used to get the list of language links for a given page. This class should provide a hook point for extensions to modify this list. It should also facilitate caching of the list in memcached.


Version: 1.21.x
Severity: enhancement

Details

Reference
bz45535

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:34 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz45535.
daniel created this task.Feb 28 2013, 1:25 AM

[Moving to better component, though might end up in General/Unknown instead?]

this has nothing to do with the API

While working on this, it became evident that such a wrapper class is not possible, since sitelinks are usually not loaded from the database, but taken directly from a ParserOutput object. Changing the description line to be more general and allow for a different approach.

Related URL: https://gerrit.wikimedia.org/r/59997 (Gerrit Change Iaec0faa131413a291fc8f77496e4f371addb3b99)

https://gerrit.wikimedia.org/r/59997 (Gerrit Change Iaec0faa131413a291fc8f77496e4f371addb3b99) | change APPROVED and MERGED [by jenkins-bot]

Gerrit patch got merged, can this bug report get closed as RESOLVED FIXED or is there anything else to do?

It would be nice if https://gerrit.wikimedia.org/r/#/c/60034/ were finished too.

daniel removed daniel as the assignee of this task.Dec 1 2014, 10:38 PM
Aklapper lowered the priority of this task from High to Low.Feb 13 2016, 12:51 PM
Aklapper added a subscriber: Aklapper.

Reflecting reality by lowering priority.